## org.codehaus.groovy.grails.web.filters
Class JavascriptLibraryFilters

    java.lang.Object
      org.codehaus.groovy.grails.web.filters.JavascriptLibraryFilters

All Implemented Interfaces:
  groovy.lang.GroovyObject, GrailsApplicationAware

    public class JavascriptLibraryFilters

extends Object
implements GrailsApplicationAware, groovy.lang.GroovyObject

Constructor Summary
`JavascriptLibraryFilters()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `getFilters()`
`GrailsApplication` `getGrailsApplication()`
`static org.apache.commons.logging.Log` `getLOG()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setFilters(Object value)`
`void` `setGrailsApplication(GrailsApplication value)` This method is called by the `ApplicationContext` that loads the Grails application.
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavascriptLibraryFilters

    public JavascriptLibraryFilters()

Method Detail

### getGrailsApplication

    public GrailsApplication getGrailsApplication()

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication value)

  Description copied from interface: `GrailsApplicationAware`

  This method is called by the `ApplicationContext` that loads the Grails application. The `GrailsApplication` instance that represents the loaded Grails application is injected.

  Specified by:
    `setGrailsApplication` in interface `GrailsApplicationAware`
  Parameters:
    `value` - the `GrailsApplication` object that represents this Grails application

### getLOG

    public static org.apache.commons.logging.Log getLOG()

### getFilters

    public Object getFilters()

### setFilters

    public void setFilters(Object value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project